GriddingDialog Class Reference

Random XYZ gridding options dialog. More...

`#include <GriddingDialog.h>`

Inheritance diagram for GriddingDialog:

## Public Member Functions

| GriddingDialog (Table *t, const QString &colName, int nodes, QWidget *parent=0, Qt::WFlags fl=0)
| ~GriddingDialog ()

## Private Slots

void | accept ()
void | preview ()
void | setPlotStyle (int)
void | showMethodParameters (int)

## Private Member Functions

void | findBestLayout ()
void | loadDataFromTable ()
void | resetAxesLabels ()

## Private Attributes

QSpinBox * | boxCols
QComboBox * | boxMethod
QComboBox * | boxModel
QLabel * | boxName
QSpinBox * | boxNQ
QSpinBox * | boxNW
QComboBox * | boxPlotStyle
DoubleSpinBox * | boxRadius
QSpinBox * | boxRows
DoubleSpinBox * | boxXEnd
DoubleSpinBox * | boxXStart
DoubleSpinBox * | boxYEnd
DoubleSpinBox * | boxYStart
QPushButton * | buttonCancel
QPushButton * | buttonFit
QString | d_col_name
int | d_nodes
Table * | d_table
QGroupBox * | gbModel
QGroupBox * | gbRadius
QGroupBox * | previewBox
QCheckBox * | showPlotBox
Qwt3D::Plot3D * | sp
alglib::real_2d_array | xy

## Detailed Description

Random XYZ gridding options dialog.

## Constructor & Destructor Documentation

GriddingDialog::GriddingDialog | ( | Table * | t,
|  | const QString & | colName,
|  | int | nodes,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxCols, boxMethod, boxModel, boxName, boxNQ, boxNW, boxPlotStyle, boxRadius, boxRows, boxXEnd, boxXStart, boxYEnd, boxYStart, buttonCancel, buttonFit, ApplicationWindow::d_3D_axes_font, ApplicationWindow::d_3D_numbers_font, ApplicationWindow::d_3D_orthogonal, ApplicationWindow::d_3D_smooth_mesh, ApplicationWindow::d_decimal_digits, gbModel, gbRadius, loadDataFromTable(), preview(), previewBox, DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), setPlotStyle(), DoubleSpinBox::setValue(), showMethodParameters(), showPlotBox, and sp.

GriddingDialog::~GriddingDialog | ( |  | ) |

References sp.

## Member Function Documentation

void GriddingDialog::accept | ( |  | ) |

private slot

References boxCols, boxMethod, boxModel, boxNQ, boxNW, boxRadius, boxRows, boxXEnd, boxXStart, boxYEnd, boxYStart, d_nodes, ApplicationWindow::newMatrix(), ApplicationWindow::plot3DMatrix(), Matrix::setCell(), Matrix::setCoordinates(), showPlotBox, DoubleSpinBox::value(), and xy.

Referenced by GriddingDialog().

void GriddingDialog::findBestLayout | ( |  | ) |

private

References sp.

Referenced by loadDataFromTable().

void GriddingDialog::loadDataFromTable | ( |  | ) |

private

References boxXEnd, boxXStart, boxYEnd, boxYStart, Table::colIndex(), Table::colX(), Table::colY(), ApplicationWindow::d_3D_smooth_mesh, d_col_name, d_nodes, d_table, findBestLayout(), Table::getSelection(), Table::numCols(), DoubleSpinBox::setValue(), sp, Table::text(), and xy.

Referenced by GriddingDialog().

void GriddingDialog::preview | ( |  | ) |

private slot

References Matrix::allocateMatrixData(), boxCols, boxMethod, boxModel, boxNQ, boxNW, boxPlotStyle, boxRadius, boxRows, boxXEnd, boxXStart, boxYEnd, boxYStart, ApplicationWindow::d_3D_smooth_mesh, d_nodes, Matrix::freeMatrixData(), previewBox, resetAxesLabels(), sp, DoubleSpinBox::value(), and xy.

Referenced by GriddingDialog(), and showMethodParameters().

void GriddingDialog::resetAxesLabels | ( |  | ) |

private

References sp.

Referenced by preview().

void GriddingDialog::setPlotStyle | ( | int | style | ) |

private slot

References sp.

Referenced by GriddingDialog().

void GriddingDialog::showMethodParameters | ( | int | method | ) |

private slot

References gbModel, gbRadius, and preview().

Referenced by GriddingDialog().

## Member Data Documentation

QSpinBox* GriddingDialog::boxCols

private

Referenced by accept(), GriddingDialog(), and preview().

QComboBox* GriddingDialog::boxMethod

private

Referenced by accept(), GriddingDialog(), and preview().

QComboBox* GriddingDialog::boxModel

private

Referenced by accept(), GriddingDialog(), and preview().

QLabel* GriddingDialog::boxName

private

Referenced by GriddingDialog().

QSpinBox* GriddingDialog::boxNQ

private

Referenced by accept(), GriddingDialog(), and preview().

QSpinBox* GriddingDialog::boxNW

private

Referenced by accept(), GriddingDialog(), and preview().

QComboBox* GriddingDialog::boxPlotStyle

private

Referenced by GriddingDialog(), and preview().

DoubleSpinBox* GriddingDialog::boxRadius

private

Referenced by accept(), GriddingDialog(), and preview().

QSpinBox * GriddingDialog::boxRows

private

Referenced by accept(), GriddingDialog(), and preview().

DoubleSpinBox* GriddingDialog::boxXEnd

private

Referenced by accept(), GriddingDialog(), loadDataFromTable(), and preview().

DoubleSpinBox* GriddingDialog::boxXStart

private

Referenced by accept(), GriddingDialog(), loadDataFromTable(), and preview().

DoubleSpinBox* GriddingDialog::boxYEnd

private

Referenced by accept(), GriddingDialog(), loadDataFromTable(), and preview().

DoubleSpinBox* GriddingDialog::boxYStart

private

Referenced by accept(), GriddingDialog(), loadDataFromTable(), and preview().

QPushButton* GriddingDialog::buttonCancel

private

Referenced by GriddingDialog().

QPushButton* GriddingDialog::buttonFit

private

Referenced by GriddingDialog().

QString GriddingDialog::d_col_name

private

Referenced by loadDataFromTable().

int GriddingDialog::d_nodes

private

Referenced by accept(), loadDataFromTable(), and preview().

Table* GriddingDialog::d_table

private

Referenced by loadDataFromTable().

QGroupBox* GriddingDialog::gbModel

private

Referenced by GriddingDialog(), and showMethodParameters().

QGroupBox* GriddingDialog::gbRadius

private

Referenced by GriddingDialog(), and showMethodParameters().

QGroupBox* GriddingDialog::previewBox

private

Referenced by GriddingDialog(), and preview().

QCheckBox* GriddingDialog::showPlotBox

private

Referenced by accept(), and GriddingDialog().

Qwt3D::Plot3D* GriddingDialog::sp

private

Referenced by findBestLayout(), GriddingDialog(), loadDataFromTable(), preview(), resetAxesLabels(), setPlotStyle(), and ~GriddingDialog().

alglib::real_2d_array GriddingDialog::xy

private

Referenced by accept(), loadDataFromTable(), and preview().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/GriddingDialog.h
- qtiplot/src/analysis/dialogs/GriddingDialog.cpp